// Copyright Marcus Del Favero 2025
// Licensed under the GNU AGPLv3 with an exception, see `README.md` for details
mod image;
mod inkscape;
mod layer;

mod player;
mod bullet;
mod block;
mod ammo_status;
mod ammo_crate;
mod powerup;

use std::fs;

pub fn generate() {
	// Prevents erroring when already created
	let _ = fs::create_dir("../data/textures");

	player::generate();
	bullet::generate();
	block::generate();
	ammo_status::generate();
	ammo_crate::generate();
	powerup::generate();
}

pub use player::generate_icon;
