// Copyright Marcus Del Favero 2025
// Licensed under the GNU AGPLv3 with an exception, see `README.md` for details
use std::sync::Arc;

use egui::{Id, SidePanel, Layout, Frame, Margin, Align, TextStyle, RichText, Color32, Context};

use super::scores::GREY;

pub fn render(ctx: &Context, time: String) {
	SidePanel::right(Id::new("timer-panel"))
		.frame(Frame::none().inner_margin(Margin::same(16.0)))
		.show_separator_line(false)
		.show(ctx, |ui| {
			ui.with_layout(Layout::right_to_left(Align::Min), |ui| {
				ui.label(RichText::new(time).color(Color32::from_gray(GREY)).text_style(TextStyle::Name(Arc::from("scores"))))
			});
		});
}
