// Copyright Marcus Del Favero 2025
// Licensed under the GNU AGPLv3 with an exception, see `README.md` for details
use glium::{BlendingFunction, LinearBlendingFactor};

/*
 * Blend::alpha_blending is broken on Wayland, with the window actually being
 * transparent, so need to manually do this.
 *
 * Modified from: https://github.com/PistonDevelopers/conrod/issues/1347
 */
pub const ALPHA_BLENDING: BlendingFunction = BlendingFunction::Addition { source: LinearBlendingFactor::SourceAlpha, destination: LinearBlendingFactor::OneMinusSourceAlpha };
pub const ADDITIVE_BLENDING: BlendingFunction = BlendingFunction::Addition { source: LinearBlendingFactor::SourceAlpha, destination: LinearBlendingFactor::One };
