// Copyright Marcus Del Favero 2025
// Licensed under the GNU AGPLv3 with an exception, see `README.md` for details
#[cfg(feature = "client")] use glam::Vec3;
#[cfg(feature = "client")] use egui::Color32;

pub fn get_colour(id: u32) -> [f32; 3] {
	match id % 8 {
		0 => [1.0, 0.25, 0.125],
		1 => [0.125, 0.4375, 1.0],
		2 => [0.25, 1.0, 0.125],
		3 => [1.0, 1.0, 0.125],
		4 => [0.125, 1.0, 1.0],
		5 => [1.0, 0.125, 1.0],
		6 => [1.0, 1.0, 1.0],
		_ => [0.5, 0.5, 0.5],
	}
}

#[cfg(feature = "client")]
pub fn get_gui_colour(id: u32, brightness: f32) -> Color32 {
	let colour = Vec3::from_array(get_colour(id)).max(Vec3::splat(brightness));
	Color32::from_rgb((colour.x * 255.0) as u8, (colour.y * 255.0) as u8, (colour.z * 255.0) as u8)
}
